package timestamps.parser;

import ij.ImagePlus;
import java.time.LocalDateTime;
import timestamps.shared.Metadata;
import timestamps.Timestamps;

/**Interface defining methods for timestamp parsers.*/
public interface Parser {

   /**Implementing classes should read from the metadata provided and add timestamps to the
    * {@link LocalDateTime} container provided.
    * @param metadata the metadata of an {@link ImagePlus}
    * @param timestamps the timestamp container
    * @throws ParserException any error encountered during parsing*/
   void parse(Metadata metadata, Timestamps timestamps) throws ParserException;
}
