package timestamps.parser;

/**Exceptions for timestamps parsers.*/
public class ParserException extends Exception {

   private final Class<? extends Parser> c;

   /**Constructor.
    * @param c the class of the parser
    * @param message the error message
    * @see ParserException#ParserException(Class, String, Throwable)*/
   ParserException(Class<? extends Parser> c, String message) {
      this(c, message, null);
   }

   /**Constructor.
    * @param c the class of the parser
    * @param message the error message
    * @param cause an underlying throwable
    * @see ParserException#ParserException(Class, String, Throwable)*/
   ParserException(Class<? extends  Parser> c, String message, Throwable cause) {
      super(message, cause);
      this.c = c;
   }

   @Override
   public String getMessage() {
      StringBuilder sb = new StringBuilder("[");
      sb.append(c.getSimpleName());
      sb.append("] ");
      sb.append(super.getMessage());
      return sb.toString();
   }
}
